#ifndef OPENGL_H_
#define OPENGL_H_

#ifdef HAVE_CONFIG_H_
#include "config.h"
#endif

#if defined(IPHONE) || defined(__IPHONE__)
#include <OpenGLES/ES2/gl.h>

#define glClearDepth	glClearDepthf
#define GLDEF
#include "sanegl.h"

#elif defined(ANDROID)
#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>
#define GLDEF
#include "sanegl.h"

#else

#include <GL/glew.h>

#ifdef __APPLE__
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif	/* __APPLE__ */

#endif	/* IPHONE */

#ifndef GL_RGB16F
#define GL_RGB16F	0x881b
#endif
#ifndef GL_RGBA16F
#define GL_RGBA16F	0x881a
#endif
#ifndef GL_RGB32F
#define GL_RGB32F	0x8815
#endif
#ifndef GL_RGBA32F
#define GL_RGBA32F	0x8814
#endif
#ifndef GL_LUMINANCE16F
#define GL_LUMINANCE16F	0x881e
#endif
#ifndef GL_LUMINANCE32F
#define GL_LUMINANCE32F	0x8818
#endif
#ifndef GL_DEPTH24_STENCIL8
#define GL_DEPTH24_STENCIL8	GL_DEPTH24_STENCIL8_OES
#endif

struct GLCaps {
	int shaders;
	int fsaa;
	int fbo;
	int shadow;
	int max_aniso;
};
extern struct GLCaps glcaps;


#ifdef __cplusplus
extern "C" {
#endif

int init_opengl(void);

#ifdef __cplusplus
}
#endif

#endif	/* OPENGL_H_ */
